# childrentree.cpp File Reference

Template File. More...

`#include "childrentree.h"`
`#include "cellrenderer_value.h"`
`#include "cellrenderer_timetrack.h"`
`#include <synfigapp/action.h>`
`#include <synfigapp/instance.h>`
`#include <gtkmm/scrolledwindow.h>`
`#include <synfig/timepointcollect.h>`
`#include "general.h"`

## Defines

#define | SMALL_BUTTON(button, stockid, tooltip)
#define | NORMAL_BUTTON(button, stockid, tooltip)
#define | NEW_SMALL_BUTTON(x, y, z) Gtk::Button *SMALL_BUTTON(x,y,z)
#define | NOT_IMPLEMENTED_SLOT sigc::mem_fun(*reinterpret_cast<studio::CanvasViewUIInterface*>(get_ui_interface().get()),&studio::CanvasViewUIInterface::not_implemented)

## Detailed Description

Template File.

$Id$

## Define Documentation

#define SMALL_BUTTON | ( | button,
|  | stockid,
|  | tooltip |  | ) |

Value:

    button = manage(new class Gtk::Button());   \
        icon=manage(new Gtk::Image(Gtk::StockID(stockid),iconsize));    \
        button->add(*icon); \
        tooltips_.set_tip(*button,tooltip); \
        icon->set_padding(0,0);\
        icon->show();   \
        button->set_relief(Gtk::RELIEF_NONE); \
        button->show()

#define NORMAL_BUTTON | ( | button,
|  | stockid,
|  | tooltip |  | ) |

Value:

    button = manage(new class Gtk::Button());   \
        icon=manage(new Gtk::Image(Gtk::StockID(stockid),Gtk::ICON_SIZE_BUTTON));   \
        button->add(*icon); \
        tooltips_.set_tip(*button,tooltip); \
        icon->set_padding(0,0);\
        icon->show();   \
        /*button->set_relief(Gtk::RELIEF_NONE);*/ \
        button->show()

#define NEW_SMALL_BUTTON | ( | x,
|  | y,
|  | z |  | ) | Gtk::Button *SMALL_BUTTON(x,y,z)

#define NOT_IMPLEMENTED_SLOT sigc::mem_fun(*reinterpret_cast<studio::CanvasViewUIInterface*>(get_ui_interface().get()),&studio::CanvasViewUIInterface::not_implemented)